MCX(4) | Device Drivers Manual | MCX(4)

# NAME

`mcx` — Mellanox 5th generation Ethernet device

# SYNOPSIS

`mcx* at pci? dev ? function ?`

# DESCRIPTION

The `mcx` driver supports Mellanox 5th generation Ethernet devices. Chipsets and cards in this group include:

- ConnectX-4 Lx EN
- ConnectX-4 EN
- ConnectX-5 EN
- ConnectX-6 EN
- ConnectX-6 Dx EN
- ConnectX-6 Lx EN

# SEE ALSO

arp(4), ifmedia(4), netintro(4), pci(4), ifconfig(8)

# HISTORY

The `mcx` driver first appeared in OpenBSD 6.6 and in NetBSD 9.0.

# AUTHORS

The `mcx` driver was written by Jonathan Matthew <jmatthew@openbsd.org> and
David Gwynne <dlg@openbsd.org> for OpenBSD and ported to NetBSD by
Jared McNeill <jmcneill@NetBSD.org>.

October 26, 2023 | NetBSD 10.99